optional: str(exclude='!?', required=False)
optional_min: int(min=1, required=False)
min_example: num(min=1.5)
min_negative: int(min=-1)
min_on_date: day(min='2010-1-1')
min_on_datetime: timestamp(min='2010-01-01 0:0:0')
max_example: int(max=100)
max_on_date: day(max='2010-1-1')
max_on_datetime: timestamp(max='2010-01-01 0:0:0')
boolean: bool()
